Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class HorizontalLayout

    java.lang.Object
      org.jdesktop.swingx.HorizontalLayout

All Implemented Interfaces:
  java.awt.LayoutManager

    public class HorizontalLayout

extends java.lang.Object
implements java.awt.LayoutManager

Organizes components in a horizontal layout.

Author:
  Romain Guy

Constructor Summary
`HorizontalLayout()`
`HorizontalLayout(int gap)`

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component c)`
`int` | `getGap()`
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component c)`
`void` | `setGap(int gap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HorizontalLayout

    public HorizontalLayout()

### HorizontalLayout

    public HorizontalLayout(int gap)

Method Detail

### getGap

    public int getGap()

### setGap

    public void setGap(int gap)

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component c)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component c)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.